<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Import and saving &mdash; anonym anonym documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=14175b09"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Quickstart to anonym your data set" href="Examples.html" />
    <link rel="prev" title="Algorithm" href="Algorithm.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            anonym
          </a>
              <div class="version">
                0.1.1
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
    
              <p class="caption" role="heading"><span class="caption-text">Installation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Installation.html#uninstalling">Uninstalling</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Methods</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html">Algorithm</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#named-entity-recognition-catagories">Named Entity Recognition Catagories</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#faking-the-data-entries">Faking the data entries</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Import and saving</a></li>
<li class="toctree-l1"><a class="reference internal" href="#import-from-csv">Import from csv</a></li>
<li class="toctree-l1"><a class="reference internal" href="#saving-to-csv">Saving to csv</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Examples.html">Quickstart to anonym your data set</a></li>
<li class="toctree-l1"><a class="reference internal" href="Examples.html#anonymize-data-set-with-user-defined-specifications">Anonymize data set with user defined specifications</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Documentation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html">Github</a></li>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html#colab-notebook">Colab Notebook</a></li>
<li class="toctree-l1"><a class="reference internal" href="Coding%20quality.html">Coding quality</a></li>
<li class="toctree-l1"><a class="reference internal" href="anonym.anonym.html">API References</a></li>
</ul>

    <a href= "genindex.html">Index</a>
  
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">anonym</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Import and saving</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/Import and save.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="import-and-saving">
<h1>Import and saving<a class="headerlink" href="#import-and-saving" title="Link to this heading"></a></h1>
<p>Importing and saving data sets is desired to easily import and share the files.
In order to accomplish this, we created two functions: function <code class="xref py py-func docutils literal notranslate"><span class="pre">anonym.import_data()</span></code> and function <code class="xref py py-func docutils literal notranslate"><span class="pre">anonym.to_csv()</span></code>
Below we illustrate how to save and load models.</p>
</section>
<section id="import-from-csv">
<h1>Import from csv<a class="headerlink" href="#import-from-csv" title="Link to this heading"></a></h1>
<p>Importing a csv file can be done using the function :func:<a href="#id1"><span class="problematic" id="id2">`</span></a>anonym.import_data:</p>
<p id="module-anonym.anonym.anonym.import_data">Reads the dataset from the given filepath.</p>
<dl class="field-list simple">
<dt class="field-odd">param filepath<span class="colon">:</span></dt>
<dd class="field-odd"><p>Path to the dataset file.</p>
</dd>
<dt class="field-even">type filepath<span class="colon">:</span></dt>
<dd class="field-even"><p>str</p>
</dd>
<dt class="field-odd">param delim<span class="colon">:</span></dt>
<dd class="field-odd"><p>Delimiter used in the dataset file, by default ‘;’</p>
</dd>
<dt class="field-even">type delim<span class="colon">:</span></dt>
<dd class="field-even"><p>str, optional</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="c1"># Example 1</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">filepath</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;./names_per_department.csv&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">filepath_fake</span><span class="o">=</span><span class="sa">r</span><span class="s1">&#39;./names_per_department_fake.csv&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Load library</span>
<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">anonym</span> <span class="kn">import</span> <span class="n">anonym</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Initialize</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">model</span> <span class="o">=</span> <span class="n">anonym</span><span class="p">()</span>
<span class="gp">&gt;&gt;&gt; </span><span class="c1"># Import csv data from file</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">import_data</span><span class="p">(</span><span class="n">filepath</span><span class="p">,</span> <span class="n">delim</span><span class="o">=</span><span class="s1">&#39;;&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="nb">print</span><span class="p">(</span><span class="n">df</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">returns<span class="colon">:</span></dt>
<dd class="field-odd"><p>Dataset read from the file.</p>
</dd>
<dt class="field-even">rtype<span class="colon">:</span></dt>
<dd class="field-even"><p>pd.DataFrame</p>
</dd>
</dl>
</section>
<section id="saving-to-csv">
<h1>Saving to csv<a class="headerlink" href="#saving-to-csv" title="Link to this heading"></a></h1>
<p>Saving a data set can be done using the function <code class="xref py py-func docutils literal notranslate"><span class="pre">anonym.to_csv()</span></code>:</p>
<p id="module-anonym.anonym.anonym.to_csv">Writes the DataFrame to a CSV file.</p>
<dl class="field-list simple">
<dt class="field-odd">param df_fake<span class="colon">:</span></dt>
<dd class="field-odd"><p>DataFrame to be written to a file.</p>
</dd>
<dt class="field-even">type df_fake<span class="colon">:</span></dt>
<dd class="field-even"><p>pd.DataFrame</p>
</dd>
<dt class="field-odd">param filepath<span class="colon">:</span></dt>
<dd class="field-odd"><p>Path to the file where DataFrame will be written.</p>
</dd>
<dt class="field-even">type filepath<span class="colon">:</span></dt>
<dd class="field-even"><p>str</p>
</dd>
<dt class="field-odd">param delim<span class="colon">:</span></dt>
<dd class="field-odd"><p>Delimiter to be used in the file, by default ‘;’</p>
</dd>
<dt class="field-even">type delim<span class="colon">:</span></dt>
<dd class="field-even"><p>str, optional</p>
</dd>
</dl>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Algorithm.html" class="btn btn-neutral float-left" title="Algorithm" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="Examples.html" class="btn btn-neutral float-right" title="Quickstart to anonym your data set" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Data en Innovatielab (IenW).</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>